#define PERL_constant_NOTFOUND	1
#define PERL_constant_NOTDEF	2
#define PERL_constant_ISIV	3
#define PERL_constant_ISNO	4
#define PERL_constant_ISNV	5
#define PERL_constant_ISPV	6
#define PERL_constant_ISPVN	7
#define PERL_constant_ISSV	8
#define PERL_constant_ISUNDEF	9
#define PERL_constant_ISUV	10
#define PERL_constant_ISYES	11

#ifndef NVTYPE
typedef double NV; /* 5.6 and later define NVTYPE, and typedef NV to it.  */
#endif
#ifndef aTHX_
#define aTHX_ /* 5.6 or later define this for threading support.  */
#endif
#ifndef pTHX_
#define pTHX_ /* 5.6 or later define this for threading support.  */
#endif

static int
_c_constant_7 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     ZMQ_PUB ZMQ_REP ZMQ_REQ ZMQ_SUB */
  /* Offset 4 gives the best switch position.  */
  switch (name[4]) {
  case 'P':
    if (memEQ(name, "ZMQ_PUB", 7)) {
    /*                   ^        */
#ifdef ZMQ_PUB
      *iv_return = ZMQ_PUB;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'R':
    if (memEQ(name, "ZMQ_REP", 7)) {
    /*                   ^        */
#ifdef ZMQ_REP
      *iv_return = ZMQ_REP;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "ZMQ_REQ", 7)) {
    /*                   ^        */
#ifdef ZMQ_REQ
      *iv_return = ZMQ_REQ;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'S':
    if (memEQ(name, "ZMQ_SUB", 7)) {
    /*                   ^        */
#ifdef ZMQ_SUB
      *iv_return = ZMQ_SUB;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
_c_constant_8 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     ZMQ_DISH ZMQ_PAIR ZMQ_PULL ZMQ_PUSH ZMQ_XPUB ZMQ_XSUB */
  /* Offset 5 gives the best switch position.  */
  switch (name[5]) {
  case 'A':
    if (memEQ(name, "ZMQ_PAIR", 8)) {
    /*                    ^        */
#ifdef ZMQ_PAIR
      *iv_return = ZMQ_PAIR;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'I':
    if (memEQ(name, "ZMQ_DISH", 8)) {
    /*                    ^        */
#ifdef ZMQ_DISH
      *iv_return = ZMQ_DISH;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'P':
    if (memEQ(name, "ZMQ_XPUB", 8)) {
    /*                    ^        */
#ifdef ZMQ_XPUB
      *iv_return = ZMQ_XPUB;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'S':
    if (memEQ(name, "ZMQ_XSUB", 8)) {
    /*                    ^        */
#ifdef ZMQ_XSUB
      *iv_return = ZMQ_XSUB;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'U':
    if (memEQ(name, "ZMQ_PULL", 8)) {
    /*                    ^        */
#ifdef ZMQ_PULL
      *iv_return = ZMQ_PULL;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "ZMQ_PUSH", 8)) {
    /*                    ^        */
#ifdef ZMQ_PUSH
      *iv_return = ZMQ_PUSH;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
_c_constant_10 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     ZMQ_CLIENT ZMQ_DEALER ZMQ_GATHER ZMQ_POLLIN ZMQ_ROUTER ZMQ_SERVER
     ZMQ_STREAM */
  /* Offset 4 gives the best switch position.  */
  switch (name[4]) {
  case 'C':
    if (memEQ(name, "ZMQ_CLIENT", 10)) {
    /*                   ^            */
#ifdef ZMQ_CLIENT
      *iv_return = ZMQ_CLIENT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'D':
    if (memEQ(name, "ZMQ_DEALER", 10)) {
    /*                   ^            */
#ifdef ZMQ_DEALER
      *iv_return = ZMQ_DEALER;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'G':
    if (memEQ(name, "ZMQ_GATHER", 10)) {
    /*                   ^            */
#ifdef ZMQ_GATHER
      *iv_return = ZMQ_GATHER;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'P':
    if (memEQ(name, "ZMQ_POLLIN", 10)) {
    /*                   ^            */
#ifdef ZMQ_POLLIN
      *iv_return = ZMQ_POLLIN;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'R':
    if (memEQ(name, "ZMQ_ROUTER", 10)) {
    /*                   ^            */
#ifdef ZMQ_ROUTER
      *iv_return = ZMQ_ROUTER;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'S':
    if (memEQ(name, "ZMQ_SERVER", 10)) {
    /*                   ^            */
#ifdef ZMQ_SERVER
      *iv_return = ZMQ_SERVER;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "ZMQ_STREAM", 10)) {
    /*                   ^            */
#ifdef ZMQ_STREAM
      *iv_return = ZMQ_STREAM;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
_c_constant_11 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     FEATURE_IPC FEATURE_PGM ZMQ_POLLERR ZMQ_POLLOUT ZMQ_POLLPRI ZMQ_SCATTER
     ZMQ_SNDMORE */
  /* Offset 10 gives the best switch position.  */
  switch (name[10]) {
  case 'C':
    if (memEQ(name, "FEATURE_IP", 10)) {
    /*                         C      */
#ifdef FEATURE_IPC
      *iv_return = FEATURE_IPC;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'E':
    if (memEQ(name, "ZMQ_SNDMOR", 10)) {
    /*                         E      */
#ifdef ZMQ_SNDMORE
      *iv_return = ZMQ_SNDMORE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'I':
    if (memEQ(name, "ZMQ_POLLPR", 10)) {
    /*                         I      */
#ifdef ZMQ_POLLPRI
      *iv_return = ZMQ_POLLPRI;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'M':
    if (memEQ(name, "FEATURE_PG", 10)) {
    /*                         M      */
#ifdef FEATURE_PGM
      *iv_return = FEATURE_PGM;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'R':
    if (memEQ(name, "ZMQ_POLLER", 10)) {
    /*                         R      */
#ifdef ZMQ_POLLERR
      *iv_return = ZMQ_POLLERR;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "ZMQ_SCATTE", 10)) {
    /*                         R      */
#ifdef ZMQ_SCATTER
      *iv_return = ZMQ_SCATTER;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'T':
    if (memEQ(name, "ZMQ_POLLOU", 10)) {
    /*                         T      */
#ifdef ZMQ_POLLOUT
      *iv_return = ZMQ_POLLOUT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
_c_constant_12 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     FEATURE_NORM FEATURE_TIPC ZMQ_DONTWAIT */
  /* Offset 8 gives the best switch position.  */
  switch (name[8]) {
  case 'N':
    if (memEQ(name, "FEATURE_NORM", 12)) {
    /*                       ^          */
#ifdef FEATURE_NORM
      *iv_return = FEATURE_NORM;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'T':
    if (memEQ(name, "FEATURE_TIPC", 12)) {
    /*                       ^          */
#ifdef FEATURE_TIPC
      *iv_return = FEATURE_TIPC;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'W':
    if (memEQ(name, "ZMQ_DONTWAIT", 12)) {
    /*                       ^          */
#ifdef ZMQ_DONTWAIT
      *iv_return = ZMQ_DONTWAIT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
_c_constant_13 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     FEATURE_CURVE FEATURE_DRAFT ZMQ_EVENT_ALL ZMQ_MAX_MSGSZ */
  /* Offset 9 gives the best switch position.  */
  switch (name[9]) {
  case 'R':
    if (memEQ(name, "FEATURE_DRAFT", 13)) {
    /*                        ^          */
#ifdef FEATURE_DRAFT
      *iv_return = FEATURE_DRAFT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'S':
    if (memEQ(name, "ZMQ_MAX_MSGSZ", 13)) {
    /*                        ^          */
#ifdef ZMQ_MAX_MSGSZ
      *iv_return = ZMQ_MAX_MSGSZ;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'U':
    if (memEQ(name, "FEATURE_CURVE", 13)) {
    /*                        ^          */
#ifdef FEATURE_CURVE
      *iv_return = FEATURE_CURVE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case '_':
    if (memEQ(name, "ZMQ_EVENT_ALL", 13)) {
    /*                        ^          */
#ifdef ZMQ_EVENT_ALL
      *iv_return = ZMQ_EVENT_ALL;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
_c_constant_14 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     FEATURE_GSSAPI ZMQ_IO_THREADS ZMQ_MSG_T_SIZE */
  /* Offset 5 gives the best switch position.  */
  switch (name[5]) {
  case 'O':
    if (memEQ(name, "ZMQ_IO_THREADS", 14)) {
    /*                    ^               */
#ifdef ZMQ_IO_THREADS
      *iv_return = ZMQ_IO_THREADS;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'R':
    if (memEQ(name, "FEATURE_GSSAPI", 14)) {
    /*                    ^               */
#ifdef FEATURE_GSSAPI
      *iv_return = FEATURE_GSSAPI;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'S':
    if (memEQ(name, "ZMQ_MSG_T_SIZE", 14)) {
    /*                    ^               */
#ifdef ZMQ_MSG_T_SIZE
      *iv_return = ZMQ_MSG_T_SIZE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
_c_constant_19 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     ZMQ_EVENT_CONNECTED ZMQ_EVENT_LISTENING ZMQ_THREAD_AFFINITY
     ZMQ_THREAD_PRIORITY */
  /* Offset 12 gives the best switch position.  */
  switch (name[12]) {
  case 'F':
    if (memEQ(name, "ZMQ_THREAD_AFFINITY", 19)) {
    /*                           ^             */
#ifdef ZMQ_THREAD_AFFINITY
      *iv_return = ZMQ_THREAD_AFFINITY;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'N':
    if (memEQ(name, "ZMQ_EVENT_CONNECTED", 19)) {
    /*                           ^             */
#ifdef ZMQ_EVENT_CONNECTED
      *iv_return = ZMQ_EVENT_CONNECTED;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'R':
    if (memEQ(name, "ZMQ_THREAD_PRIORITY", 19)) {
    /*                           ^             */
#ifdef ZMQ_THREAD_PRIORITY
      *iv_return = ZMQ_THREAD_PRIORITY;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'S':
    if (memEQ(name, "ZMQ_EVENT_LISTENING", 19)) {
    /*                           ^             */
#ifdef ZMQ_EVENT_LISTENING
      *iv_return = ZMQ_EVENT_LISTENING;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
_c_constant_22 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     ZMQ_EVENT_CLOSE_FAILED ZMQ_EVENT_DISCONNECTED ZMQ_THREAD_NAME_PREFIX */
  /* Offset 11 gives the best switch position.  */
  switch (name[11]) {
  case 'I':
    if (memEQ(name, "ZMQ_EVENT_DISCONNECTED", 22)) {
    /*                          ^                 */
#ifdef ZMQ_EVENT_DISCONNECTED
      *iv_return = ZMQ_EVENT_DISCONNECTED;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'L':
    if (memEQ(name, "ZMQ_EVENT_CLOSE_FAILED", 22)) {
    /*                          ^                 */
#ifdef ZMQ_EVENT_CLOSE_FAILED
      *iv_return = ZMQ_EVENT_CLOSE_FAILED;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'N':
    if (memEQ(name, "ZMQ_THREAD_NAME_PREFIX", 22)) {
    /*                          ^                 */
#ifdef ZMQ_THREAD_NAME_PREFIX
      *iv_return = ZMQ_THREAD_NAME_PREFIX;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
_c_constant_25 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     ZMQ_EVENT_CONNECT_DELAYED ZMQ_EVENT_CONNECT_RETRIED
     ZMQ_EVENT_MONITOR_STOPPED */
  /* Offset 20 gives the best switch position.  */
  switch (name[20]) {
  case 'L':
    if (memEQ(name, "ZMQ_EVENT_CONNECT_DELAYED", 25)) {
    /*                                   ^           */
#ifdef ZMQ_EVENT_CONNECT_DELAYED
      *iv_return = ZMQ_EVENT_CONNECT_DELAYED;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'O':
    if (memEQ(name, "ZMQ_EVENT_MONITOR_STOPPED", 25)) {
    /*                                   ^           */
#ifdef ZMQ_EVENT_MONITOR_STOPPED
      *iv_return = ZMQ_EVENT_MONITOR_STOPPED;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'T':
    if (memEQ(name, "ZMQ_EVENT_CONNECT_RETRIED", 25)) {
    /*                                   ^           */
#ifdef ZMQ_EVENT_CONNECT_RETRIED
      *iv_return = ZMQ_EVENT_CONNECT_RETRIED;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
_c_constant (pTHX_ const char *name, STRLEN len, IV *iv_return) {
  /* Initially switch on the length of the name.  */
  /* When generated this function returned values for the list of names given
     in this section of perl code.  Rather than manually editing these functions
     to add or remove constants, which would result in this comment and section
     of code becoming inaccurate, we recommend that you edit this section of
     code, and use it to regenerate a new set of constant functions which you
     then use to replace the originals.

     Regenerate these constant functions by feeding this entire source file to
     perl -x

#!/usr/bin/perl -w
use ExtUtils::Constant qw (constant_types C_constant XS_constant);

my $types = {map {($_, 1)} qw(IV)};
my @names = (qw(FEATURE_CURVE FEATURE_DRAFT FEATURE_GSSAPI FEATURE_IPC
	       FEATURE_NORM FEATURE_PGM FEATURE_TIPC ZMQ_CLIENT ZMQ_DEALER
	       ZMQ_DGRAM ZMQ_DISH ZMQ_DONTWAIT ZMQ_EVENT_ACCEPTED
	       ZMQ_EVENT_ACCEPT_FAILED ZMQ_EVENT_ALL ZMQ_EVENT_BIND_FAILED
	       ZMQ_EVENT_CLOSED ZMQ_EVENT_CLOSE_FAILED ZMQ_EVENT_CONNECTED
	       ZMQ_EVENT_CONNECT_DELAYED ZMQ_EVENT_CONNECT_RETRIED
	       ZMQ_EVENT_DISCONNECTED ZMQ_EVENT_HANDSHAKE_FAILED_AUTH
	       ZMQ_EVENT_HANDSHAKE_FAILED_NO_DETAIL
	       ZMQ_EVENT_HANDSHAKE_FAILED_PROTOCOL
	       ZMQ_EVENT_HANDSHAKE_SUCCEEDED ZMQ_EVENT_LISTENING
	       ZMQ_EVENT_MONITOR_STOPPED ZMQ_GATHER ZMQ_IO_THREADS
	       ZMQ_MAX_MSGSZ ZMQ_MAX_SOCKETS ZMQ_MSG_T_SIZE ZMQ_NOTIFY_CONNECT
	       ZMQ_NOTIFY_DISCONNECT ZMQ_PAIR ZMQ_POLLERR ZMQ_POLLIN
	       ZMQ_POLLOUT ZMQ_POLLPRI ZMQ_PUB ZMQ_PULL ZMQ_PUSH ZMQ_RADIO
	       ZMQ_REP ZMQ_REQ ZMQ_ROUTER ZMQ_SCATTER ZMQ_SERVER ZMQ_SNDMORE
	       ZMQ_SOCKET_LIMIT ZMQ_STREAM ZMQ_SUB ZMQ_THREAD_AFFINITY
	       ZMQ_THREAD_NAME_PREFIX ZMQ_THREAD_PRIORITY
	       ZMQ_THREAD_SCHED_POLICY ZMQ_XPUB ZMQ_XSUB));

print constant_types(), "\n"; # macro defs
foreach (C_constant ("ZMQ::Raw", '_c_constant', 'IV', $types, undef, 3, @names) ) {
    print $_, "\n"; # C constant subs
}
print "\n#### XS Section:\n";
print XS_constant ("ZMQ::Raw", $types);
__END__
   */

  switch (len) {
  case 7:
    return _c_constant_7 (aTHX_ name, iv_return);
    break;
  case 8:
    return _c_constant_8 (aTHX_ name, iv_return);
    break;
  case 9:
    /* Names all of length 9.  */
    /* ZMQ_DGRAM ZMQ_RADIO */
    /* Offset 8 gives the best switch position.  */
    switch (name[8]) {
    case 'M':
      if (memEQ(name, "ZMQ_DGRA", 8)) {
      /*                       M     */
#ifdef ZMQ_DGRAM
        *iv_return = ZMQ_DGRAM;
        return PERL_constant_ISIV;
#else
        return PERL_constant_NOTDEF;
#endif
      }
      break;
    case 'O':
      if (memEQ(name, "ZMQ_RADI", 8)) {
      /*                       O     */
#ifdef ZMQ_RADIO
        *iv_return = ZMQ_RADIO;
        return PERL_constant_ISIV;
#else
        return PERL_constant_NOTDEF;
#endif
      }
      break;
    }
    break;
  case 10:
    return _c_constant_10 (aTHX_ name, iv_return);
    break;
  case 11:
    return _c_constant_11 (aTHX_ name, iv_return);
    break;
  case 12:
    return _c_constant_12 (aTHX_ name, iv_return);
    break;
  case 13:
    return _c_constant_13 (aTHX_ name, iv_return);
    break;
  case 14:
    return _c_constant_14 (aTHX_ name, iv_return);
    break;
  case 15:
    if (memEQ(name, "ZMQ_MAX_SOCKETS", 15)) {
#ifdef ZMQ_MAX_SOCKETS
      *iv_return = ZMQ_MAX_SOCKETS;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 16:
    /* Names all of length 16.  */
    /* ZMQ_EVENT_CLOSED ZMQ_SOCKET_LIMIT */
    /* Offset 6 gives the best switch position.  */
    switch (name[6]) {
    case 'C':
      if (memEQ(name, "ZMQ_SOCKET_LIMIT", 16)) {
      /*                     ^                */
#ifdef ZMQ_SOCKET_LIMIT
        *iv_return = ZMQ_SOCKET_LIMIT;
        return PERL_constant_ISIV;
#else
        return PERL_constant_NOTDEF;
#endif
      }
      break;
    case 'E':
      if (memEQ(name, "ZMQ_EVENT_CLOSED", 16)) {
      /*                     ^                */
#ifdef ZMQ_EVENT_CLOSED
        *iv_return = ZMQ_EVENT_CLOSED;
        return PERL_constant_ISIV;
#else
        return PERL_constant_NOTDEF;
#endif
      }
      break;
    }
    break;
  case 18:
    /* Names all of length 18.  */
    /* ZMQ_EVENT_ACCEPTED ZMQ_NOTIFY_CONNECT */
    /* Offset 14 gives the best switch position.  */
    switch (name[14]) {
    case 'N':
      if (memEQ(name, "ZMQ_NOTIFY_CONNECT", 18)) {
      /*                             ^          */
#ifdef ZMQ_NOTIFY_CONNECT
        *iv_return = ZMQ_NOTIFY_CONNECT;
        return PERL_constant_ISIV;
#else
        return PERL_constant_NOTDEF;
#endif
      }
      break;
    case 'P':
      if (memEQ(name, "ZMQ_EVENT_ACCEPTED", 18)) {
      /*                             ^          */
#ifdef ZMQ_EVENT_ACCEPTED
        *iv_return = ZMQ_EVENT_ACCEPTED;
        return PERL_constant_ISIV;
#else
        return PERL_constant_NOTDEF;
#endif
      }
      break;
    }
    break;
  case 19:
    return _c_constant_19 (aTHX_ name, iv_return);
    break;
  case 21:
    /* Names all of length 21.  */
    /* ZMQ_EVENT_BIND_FAILED ZMQ_NOTIFY_DISCONNECT */
    /* Offset 19 gives the best switch position.  */
    switch (name[19]) {
    case 'C':
      if (memEQ(name, "ZMQ_NOTIFY_DISCONNECT", 21)) {
      /*                                  ^        */
#ifdef ZMQ_NOTIFY_DISCONNECT
        *iv_return = ZMQ_NOTIFY_DISCONNECT;
        return PERL_constant_ISIV;
#else
        return PERL_constant_NOTDEF;
#endif
      }
      break;
    case 'E':
      if (memEQ(name, "ZMQ_EVENT_BIND_FAILED", 21)) {
      /*                                  ^        */
#ifdef ZMQ_EVENT_BIND_FAILED
        *iv_return = ZMQ_EVENT_BIND_FAILED;
        return PERL_constant_ISIV;
#else
        return PERL_constant_NOTDEF;
#endif
      }
      break;
    }
    break;
  case 22:
    return _c_constant_22 (aTHX_ name, iv_return);
    break;
  case 23:
    /* Names all of length 23.  */
    /* ZMQ_EVENT_ACCEPT_FAILED ZMQ_THREAD_SCHED_POLICY */
    /* Offset 21 gives the best switch position.  */
    switch (name[21]) {
    case 'C':
      if (memEQ(name, "ZMQ_THREAD_SCHED_POLICY", 23)) {
      /*                                    ^        */
#ifdef ZMQ_THREAD_SCHED_POLICY
        *iv_return = ZMQ_THREAD_SCHED_POLICY;
        return PERL_constant_ISIV;
#else
        return PERL_constant_NOTDEF;
#endif
      }
      break;
    case 'E':
      if (memEQ(name, "ZMQ_EVENT_ACCEPT_FAILED", 23)) {
      /*                                    ^        */
#ifdef ZMQ_EVENT_ACCEPT_FAILED
        *iv_return = ZMQ_EVENT_ACCEPT_FAILED;
        return PERL_constant_ISIV;
#else
        return PERL_constant_NOTDEF;
#endif
      }
      break;
    }
    break;
  case 25:
    return _c_constant_25 (aTHX_ name, iv_return);
    break;
  case 29:
    if (memEQ(name, "ZMQ_EVENT_HANDSHAKE_SUCCEEDED", 29)) {
#ifdef ZMQ_EVENT_HANDSHAKE_SUCCEEDED
      *iv_return = ZMQ_EVENT_HANDSHAKE_SUCCEEDED;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 31:
    if (memEQ(name, "ZMQ_EVENT_HANDSHAKE_FAILED_AUTH", 31)) {
#ifdef ZMQ_EVENT_HANDSHAKE_FAILED_AUTH
      *iv_return = ZMQ_EVENT_HANDSHAKE_FAILED_AUTH;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 35:
    if (memEQ(name, "ZMQ_EVENT_HANDSHAKE_FAILED_PROTOCOL", 35)) {
#ifdef ZMQ_EVENT_HANDSHAKE_FAILED_PROTOCOL
      *iv_return = ZMQ_EVENT_HANDSHAKE_FAILED_PROTOCOL;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 36:
    if (memEQ(name, "ZMQ_EVENT_HANDSHAKE_FAILED_NO_DETAIL", 36)) {
#ifdef ZMQ_EVENT_HANDSHAKE_FAILED_NO_DETAIL
      *iv_return = ZMQ_EVENT_HANDSHAKE_FAILED_NO_DETAIL;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

